# -*- python -*-
# -*- coding: utf-8 -*-
## Copyright (C) 2001-2004 Red Hat, Inc.
## Copyright (C) 2001-2004 Harald Hoyer <harald@redhat.com>

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Import all subpackages of our netconfpkg directory. This code is a real
# dirty hack but does the job(tm). It basically finds all .py files in the
# package directory and imports from all found files (except __init__.py that
# is) ;). Nice for plugin mechanism.
PRG_VERSION = "1.5.10"
PRG_NAME = "system-config-network"
PRG_AUTHORS = ["Harald Hoyer <harald@redhat.com>",
               "Than Ngo <than@redhat.com>",
               "Philipp Knirsch <pknirsch@redhat.com>",
               "Trond Eivind Glomsrød <teg@redhat.com>",
              ]
PRG_DOCUMENTERS = ["Tammy Fox <tfox@redhat.com>"]
PRG_TRANSLATORS = [
  "Ossama M. Khayat <okhayat@yahoo.com>",
  "Youcef Rabah Rahal <rahal@arabeyes.org>",
  "Amitakhya Phukan <amitakhya.phukan@gmail.com>",
  "Amitakhya Phukan <aphukan@fedoraproject.org>",
  "Pavel Shkilionok <ps@belar.us>",
  "Atanas <naso@localhost>",
  " <rtfm@asplinux.ru>",
  " <rtfm@asplinux.bg>",
  " <zdravko@asplinux.ru>",
  " <yand@asplinux.bg>",
  "Николай Сърмаджиев,преносим <nikolayds@msn.com>",
  "Miroslav Ivanov <satyr@globalnet.bg>",
  "Doncho N. Gunchev <gunchev@gmail.com>",
  "Alexander Todorov <atodorov@redhat.com>",
  "Runa Bhattacharjee <runa77@softhome.net>",
  "Runa Bhattacharjee <runab@redhat.com>",
  "Angel <angel@fedoraproject.org>",
  "Runa Bhattacharjee <runa77@softhome.net>",
  "Runa Bhattacharjee <runab@redhat.com>",
  "Runa Bhattacharjee <runabh@gmail.com>",
  "Runa Bhattacharjee <runab@fedoraproject.org>",
  "Adnan Hodzic <AbsintheSyringe@gmail.com>",
  "Xavier Giró <xgiro@gps.tsc.upc.es>",
  "Josep Puigdemont i Casamajó  <josep.puigdemont@gmail.com>",
  "Copyright (C) 2004, 2008 Miloslav Trmač <mitr@volny.cz>",
  "Milan Kerslager <kerslage@linux.cz>",
  "Miloslav Trmač <mitr@volny.cz>",
  "Nikola Štohanzl <niko@srnet.cz>",
  "Adam Přibyl <pribyl@lowlevel.cz>",
  "Translation by Owain Green <owaing@oceanfree.net>",
  "Keld Simonsen <keld@dkuug.dk>",
  "Martin Willemoes Hansen <mwh@sysrq.dk>",
  "Keld Simonsen <keld@rap.dk>",
  "Claudia Krug <fhonig@redhat.it>",
  "Bernd Groh <bgroh@redhat.com>",
  "Andreas Müller <redhat@andreas-mueller.com>",
  "Bernd Bartmann <Bernd.Bartmann@sohanet.de>",
  "Nadine Reissle <nreissle@redhat.com>",
  "Timo Trinks <ttrinks@redhat.com>",
  "Fabian Affolter <fab@fedoraproject.org>",
  "Nikos Charonitakis <charosn@her.forthnet.gr>",
  "ta panta rei <ta panta rei@flashmail.com>",
  "Vagelis Papadogiannakis <papas@wise.gr>",
  "Dimitris Glezos <dimitris@glezos.com>",
  "Dimitrios Typaldos <dtfedora@yahoo.com>",
  "Abigail Brady <morwen@evilmagic.org>, Bastien Nocera <hadess@hadess.net>",
  "Fernando Ruiz-Tapiador Gutiérrez <frtapiador@redhat.es>",
  "Yelitza Louze <ylouze@redhat.com>",
  "Hernan Fernandez <uk@mitierra.cl>",
  "Rodolfo M. Raya <rodolfo@heartsome.net>",
  "Manuel Ospina <mospina@redhat.com>",
  "Domingo Becker <domingobecker@gmail.com>",
  "Allan Sims <allsi@eau.ee>",
  "Abbas Izad <abbasizad@hotmail.com>",
  "Meelad Zakaria <meelad@farsiweb.info>",
  "Roozbeh Pournader <roozbeh@farsiweb.info>",
  "Raimo Koski <rk@raimokoski.com>",
  "Mikko Ikola <ikola@iki.fi>",
  "Lauri Nurmi <lanurmi@iki.fi>",
  "Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>",
  "Bettina De Monti <bettina@redhat.it>",
  "Audrey Simons <asimons@redhat.com>",
  "Jean-Paul Aubry <jpaubry@redhat.com>",
  "Stephane Raimbault <stephane.raimbault@free.fr>",
  "Thomas Canniot <thomas.canniot@laposte.net>",
  "Damien Durand <splinux@fedoraproject.org>",
  "Decroux Fabien <fdecroux@redhat.com>",
  "Alain PORTAL <aportal@univ-montp2.fr>",
  "Matthieu Rondeau <milanito1985@yahoo.fr>",
  "Ankit Patel <ankit@redhat.com>",
  "Rajesh Ranjan <rranjan@redhat.com>",
  "Tamas Szanto <tszanto@mol.hu>",
  "Arpad Biro <biro_arpad@yahoo.com>",
  "Teguh DC <dheche@bradjamoesti.or.id>",
  "Richard Allen <ra@ra.is>",
  "Bettina De Monti <bdemonti@redhat.it>",
  "Valentina Besi <valentina@redhat.it>",
  "Francesco Valente <fvalen@redhat.com>",
  "Francesco Tombolini <tombo@adamantio.net>",
  "SATO Satoru <ssato@redhat.com>",
  "Yukihiro Nakai <ynakai@redhat.com>",
  "James Hashida <khashida@redhat.com>",
  "Noriko Mizumoto <noriko@redhat.com>",
  "Tadashi Jokagi <fedora@elf.no-ip.org>",
  "Kiyoto James Hashida <khashida@redhat.com>",
  "Hyu_gabaru Ryu_ichi <hyu_gabaru@yahoo.co.jp>",
  "Makoto Mizukami <mmk9060@aol.com>",
  "George Machitidze <giomac@gmail.com>",
  "Shankar Prasad <svenkate@redhat.com>",
  "Michelle J Kim <mkim@redhat.com>",
  "Jinseok Seo <jsseo@postech.ac.kr>",
  "Eunju Kim <eukim@redhat.com>",
  "Arangel Angov <ufo@linux.net.mk>",
  "Zoran Dimovski <zoki.dimovski@gmail.com>",
  "Ani Peter <apeter@redhat.com>",
  "Rahul Bhalerao <rbhalera@redhat.com>",
  "Rahul Bhalerao <b.rahul.pm@gmail.com>",
  "sandeep shedmake <sandeep.shedmake@gmail.com>",
  "Sandeep Shedmake <sandeep.shedmake@gmail.com>",
  "Hasbullah Bin Pit (sebol) <sebol@ikhlas.com>",
  "Sharuzzaman Ahmat Raslan <sharuzzaman@myrealbox.com>",
  "Trond Eivind Glomsrød <teg@redhat.com>",
  "Kjartan Maraas <kmaraas@gnome.org>",
  "Taco Witte <T.C.Witte@phys.uu.nl>",
  "Peter van Egdom <p.van.egdom@gmail.com>",
  "Harald Hoyer <harald@redhat.com>",
  "Subhransu Behera <sbehera@redhat.com>",
  "Subhransu Behera <arya_subhransu@yahoo.co.in>",
  "Automatically generated <punjablinux@netscape.net>",
  "Amanpreet Singh Alam <aalam@redhat.com>",
  "Amanpreet Singh Brar <amanpreetsinghalam@redhat.com>",
  "A S Alam <apbrar@gmail.com>",
  "A S Alam <aalam@users.sf.net>",
  "Jaswinder Singh <jsingh@redhat.com>",
  "Tom Berner <tom@man.lodz.pl>",
  "Piotr Drąg <piotrdrag@gmail.com>",
  "Pedro Morais <morais@kde.org>",
  "José Nuno Pires <jncp@netcabo.pt>",
  "Pedro Morais <morais@kde.org>",
  "José Nuno Pires <jncp@netcabo.pt>",
  "David Barzilay <barzilay@redhat.com>",
  "André Oriani <andre_oriani@ig.com.br>",
  "Daniel Brooke Peig <daniel@brookepeig.com>",
  "Pedro Fernandes Macedo <webmaster@margo.bijoux.nom.br>",
  "Alexandre Cavedon <alexandre.cavedon@gmail.com>",
  "Valnir Ferreira Jr. <vferreir@redhat.com>",
  "Diego Búrigo Zacarão <diegobz@projetofedora.org>",
  "Igor Pires Soares <igor@projetofedora.org>",
  "Mircea Daniel <visez.trance@gmail.com>",
  "Alexandr Kanevskiy <kad@blackcatlinux.com>",
  "Leonid Kanter <leon@asplinux.ru>",
  "Andrew Martynov <andrewm@inventa.ru>",
  "Yuliya Poyarkova <ypoyarko@redhat.com>",
  "Tyronne Wickramarathne <tywickra@redhat.com>",
  "Marcel Telka <marcel@telka.sk>",
  "Roman Maurer <roman@lugos.si>",
  "Rok Papez <rok.papez@lugos.si>",
  "Miloš Komarčević <kmilos@gmail.com>",
  "Igor Miletic <grejigl-gnomeprevod@yahoo.ca>",
  "Miloš Komarčević <kmilos@gmail.com>",
  "Igor Miletic <grejigl-gnomeprevod@yahoo.ca>",
  "Jayaradha N <jaya@pune.redhat.com>",
  "Jayaradha N <njaya@redhat.com>",
  "Felix <ifelix@redhat.com>",
  "I felix <ifelix@redhat.com>",
  "I. Felix <ifelix@redhat.com>",
  "Sree Ganesh <sthottem@redhat.com>",
  "Krishna Babu K <kkrothap@redhat.com>",
  "Erçin EKER <erc.caldera@gmx.net>",
  "Nilgün Belma Bugüner <nilgun@superonline.com>",
  "Bahadir Yagan <bahadir.yagan@mentorsystem.com>",
  "Maxim Dubovoy <max@mylinux.com.ua>",
  "Maxim Dzumanenko <dziumanenko@gmail.com>",
  "pclouds <pclouds@gmx.net>",
  "Sarah Wang <sarahs@redhat.com>",
  "Tony Fu <tfu@redhat.com>",
  "Leah Liu <lliu@redhat.com>",
  "Ben Wu <hpwu@redhat.com>",
  "Chester CHENG <ccheng@redhat.com>",
  "Walter Cheuk <wwycheuk@netvigator.com>",
  "Chester Cheng <ccheng@redhat.com>",
]
